package com.lovecoding.day10.ex03;

public class Test2 {
    public static void main(String[] args) {
        Sub s = new Sub();
    }
}
class Base{
    Base(){
        //s
        System.out.println(this);
        this.method(100);
    }
    {
        System.out.println("1 base");
    }
    public void method(int i){
        System.out.println("2 base : " + i);
    }
}
class Sub extends Base{
    Sub(){
        super();
        super.method(70);
    }
    {
        System.out.println("3 sub");
    }
    @Override
    public void method(int j){
        System.out.println("4 sub : " + j);
    }
}